Bug 128469 - Paragraph/Character Style Dialog: "Reset" and "Standard" buttons have confusing labels
Summary: Paragraph/Character Style Dialog: "Reset" and "Standard" buttons have confusi...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0
Keywords:
: 136340 138035 (view as bug list)
Depends on:
Blocks: Writer-Styles-Paragraph Styles-Dialog
  Show dependency treegraph
 
Reported: 2019-10-29 16:41 UTC by John
Modified: 2021-04-11 04:35 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John 2019-10-29 16:41:21 UTC
Description:
The style window have 2 buttons with very similar names: Standard and Reset.

* Standard: resets the settings of the style to those of parent style
* Reset: works very similar to Cancel. The only difference that it doesn't close the window.

To my opinion, the Reset button isn't really useful/necessary (Wikipedia: Occam's razor) for the users. Moreover, its name conflicts with Standard.

* There are 2 possible ways to change it:

  a) Keep both buttons, but give them better names. Probably:

     Reset    --> Revert
     Standard --> Reset

  b) Remove "Reset" button and rename "Standard" to "Reset".

Steps to Reproduce:
-

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Dieter 2019-10-29 19:22:47 UTC
(In reply to John from comment #0)
> Description:
> The style window have 2 buttons with very similar names: Standard and Reset.

I assume, you mean paragraph style dialog => I precisd bug title
 
> * Standard: resets the settings of the style to those of parent style
> * Reset: works very similar to Cancel. The only difference that it doesn't
> close the window.

I don't know the function of that buttons and I couldn't find informations in help

cc: Design Team for further input
Comment 2 Heiko Tietze 2019-11-01 09:26:19 UTC
Reset should revert all modifications you made while the dialog is open. But admittedly it has a very limited use-case. And if we talk about this I don't see much need to reset style settings to the parent and if we remove the Reset function we should consider the same for Standard.
Comment 3 Regina Henschel 2019-11-01 14:50:24 UTC
The "Standard" button is currently the only way to remove a setting in the style, so that the inherit setting is used. It must stay until a different solution is implemented and tested.

It should be possible, to cancel and reopen the dialog instead of the "Reset" button. But I don't know whether it works. The problem is, that touching a field will produce an entry of that value to the style, but when? Is there no entry if "Reset" is used? Is there no entry if "Cancel" is used?
Comment 4 John 2019-11-01 15:37:45 UTC
Well, to be honest I regret about my idea to remove the "Reset" button. It works in symmetry with "Apply" button - and therefore, to preserve the consistency, it should be preserved. 

However, the names are not perfect. I would rather suggest to think about the better names - and nothing more.
Comment 5 Cor Nouws 2019-11-06 18:49:33 UTC
IIRC, this has been discussed. Or the HELP for the buttons has been improved recently... In any case: good that you support the idea of better wording / popup, John.
Removing honestly is no option..
Comment 6 Heiko Tietze 2019-11-07 08:41:45 UTC
Proposals to rename are so far:

 Reset    --> Revert
 Standard --> Reset

An alternative to "Revert" could be "Unapply" (worse term though). But I don't like those over-sophisticated terms, It's not easier to understand for users who don't read this ticket. If we keep Apply best antonym is Reset. 

For Standard I could imagine "Default" or "Parent Style".
Comment 7 John 2019-11-07 09:48:59 UTC
(In reply to Heiko Tietze from comment #6)

Reset    --> Undo or Clear or some
Standard --> Reset

?

My main point is that Standard should be changed to Reset. Because this is what the user expect, I believe.

The new name for Reset button is a question.
Comment 8 Regina Henschel 2019-11-07 10:15:20 UTC
(In reply to Heiko Tietze from comment #6)
> Proposals to rename are so far:
> 
>  Reset    --> Revert
>  Standard --> Reset

That produces confusion. The user rightly expects the "Reset" button to do the same as in previous versions.
Comment 9 Dieter 2019-11-07 12:44:33 UTC
(In reply to Heiko Tietze from comment #6)
> For Standard I could imagine "Default" or "Parent Style".

I support this, because I suppose, that most of the users don't know the meaning of "Standard"

We also have "Reset" in all other style dialogs and and "Standard" in Character and Frame dialog. There should be consistency.
Comment 10 Regina Henschel 2019-11-07 13:27:07 UTC
"Parent style" is good. "Default" is not so good, because the parent need not be the default. Or instead of "Parent style", which can also mean a copy, perhaps "Use Parent".
Comment 11 John 2019-11-08 06:44:47 UTC
> Use Parent

I like it more than "Parent style because it's "verb", not "noun". Thus, it is consistent with "Reset" and "Apply", which are verbs too.
Comment 12 Cor Nouws 2019-11-09 10:40:31 UTC
(In reply to Regina Henschel from comment #10)
> "Parent style" is good. "Default" is not so good, because the parent need
> not be the default. Or instead of "Parent style", which can also mean a
> copy, perhaps "Use Parent".
Some styles do not have a parent. What about "Original style"?

(Would be handy if for e.g. those buttons there would always appear a tooltip..)
Comment 13 John 2019-11-09 11:25:17 UTC
(In reply to Cor Nouws from comment #12)
> Some styles do not have a parent. What about "Original style"?

I believe you mean "Default Style".

I think it will be OK that pressing this button will simply does nothing.

Notice that "Standard" button is currently located on all the tabs of the Style window, including the "Organizer" tab, though on "Organizer" tab it does nothing.

In other words, this behavior will not be something new.
Comment 14 Heiko Tietze 2019-11-11 10:31:19 UTC
(In reply to John from comment #13)
> I think it will be OK that pressing this button will simply does nothing.

That requires the button to be disabled. Doing nothing is not an option. 

> Notice that "Standard" button is currently located on all the tabs of the
> Style window, including the "Organizer" tab, though on "Organizer" tab it
> does nothing.

The button is on the footer and thereby not related to the tabs. It applies to the Organizer by changing the relation and detailed description.
Comment 15 sdc.blanco 2019-12-19 18:29:43 UTC
Not finding documentation in the help, and before finding this bug, I made some experiments to figure out how "reset" and "standard" might work. 

Based on that experience, plus reading the discussion, here are a few comments.

1. Use-case for Reset:  Because there is a preview function in the side bar, it is quite practical to (for example) change the font in the default style and see the effects in the different styles.  And still be able to "reset" back to where you started (without having to close and reopen the window).

2.  Note that LO Writer 6.0 Guide (p. 192) says:

"If you want to reset the properties of a child style to that of the parent style, click the Standard button located at the bottom of each Paragraph and Character style dialog."

(I could not see that the guide discussed the "reset" button, but maybe this sentence shows a "natural" expectation that "Standard" resets -- which suggests a value in not using both "reset" and "standard" -- or a need to change the Guide.)

3.  "Undo" is not such a bad alternative for "reset"  for it functions like a Ctrl-Z  (or users will just have to learn what "reset" does -- if is gets documented.)

4.  About "Standard" vs. "Use Parent" 

From a user perspective, I would propose:  use "Standard" if it means "the setting goes back to the "factory setting" (i.e, the way a fresh LO installation would have it.)  

But if the user can change the setting of the "parent" style (if I have understood the implications of comment #10, then I would propose "revert to parent" (or if too long, then "Use Parent" might be ok)

5.  As pointed out in comment #13, these buttons appear for all the tabs in the dialog box.  I have not tested them, but would they apply only to settings in a tab?  or to all the settings across all the tabs?  This might also be relevant in the documentation.
Comment 16 Heiko Tietze 2019-12-23 08:38:08 UTC
(In reply to sdc.blanco from comment #15)
> But if the user can change the setting of the "parent" style (if I have
> understood the implications of comment #10, then I would propose "revert to
> parent" (or if too long, then "Use Parent" might be ok)

Or just "Revert" and some more informative tooltip.
Comment 17 sdc.blanco 2020-01-18 22:52:04 UTC
A relevant suggestion from bug #58132 

"Reset" button should be greyed if there is nothing to reset.
Comment 18 Heiko Tietze 2020-09-15 10:38:38 UTC
*** Bug 136340 has been marked as a duplicate of this bug. ***
Comment 19 Telesto 2020-09-15 11:18:00 UTC
Standard -> Parent style/ inherited style


About the reset button
Not really opinion about what what to do with the Reset button. Reset button doesn't work as expected in a number of cases (likely more to be discovered)
* Press Apply & followed by reset doesn't work. 
* Press Reset in Area tab doesn't work etc.. 
* Reset in transparency tab doesn't work (after setting area fill & some transparency)
* Table Properties -> Text flow tab & check break & select a style & press Reset


It's slightly bloating the dialog, and confusion with they 'standard' button (which should be renamed anyhow).

So removing the reset button has some advantages :-). Or someone has to fix a number of issues someday.. No strong option on that.
Comment 20 Regina Henschel 2020-09-15 11:50:41 UTC
(In reply to Telesto from comment #19)
> About the reset button
> Not really opinion about what what to do with the Reset button. Reset button
> doesn't work as expected in a number of cases (likely more to be discovered)
> * Press Apply & followed by reset doesn't work.

The purpose of the "Reset" button is to bring the _dialog_ into the state it had, when opening the dialog. It has nothing to do with the document.

I think it is a question for accessibility whether to remove the "Reset" button. The position of the "Reset" button is well known and the same in a lot of dialogs, it is easily accessible with arrow keys. The alternative is to cancel the dialog and reopen it. How easy is the latter for handicapped people?
Comment 21 Dieter 2020-11-21 17:33:33 UTC
There's the same question for character style dialog (see bug 138035)
Comment 22 Heiko Tietze 2020-11-23 12:55:40 UTC
*** Bug 138035 has been marked as a duplicate of this bug. ***
Comment 23 Cor Nouws 2020-11-23 20:19:24 UTC
(In reply to sdc.blanco from comment #17)
> A relevant suggestion from bug #58132 
> 
> "Reset" button should be greyed if there is nothing to reset.
That looks as a very good idea to me.
The feedback from the UI, just tells the user what happens.
Also, extra, if space allows 'Reset Dialog' or 'Reset Dialog Values' is clear too.
Comment 24 sdc.blanco 2021-01-18 11:32:14 UTC
(In reply to Regina Henschel from comment #3)
> The "Standard" button is currently the only way to remove a setting in the
> style, so that the inherit setting is used. 
(In reply to Regina Henschel from comment #20)
> The purpose of the "Reset" button is to bring the _dialog_ into the state 
> it had, when opening the dialog. It has nothing to do with the document.
Two important additional points to Regina's comments:

1.  "Standard" and "Reset" apply only to its tab -- not to entire style dialog.

2. But "Apply" (on any one tab) applies to entire dialog (i.e., making "Reset" impossible on all tabs).

PROPOSED IMPLICATIONS FOR UI

I. Ideally BOTH buttons (Standard and Reset) should be inactive in a tab until they actually can have an effect. 
   a. Standard, only active if differences on tab compared to its parent.
   b. Reset, only active if changes on tab, and Apply has not been used.

II.  Proposed button name changes:

"Standard" -> "Reset Tab to Parent"

"Reset" -> "Undo Unsaved Changes"


Or in the style of Heiko's taste...

"Standard" -> "Reset Tab"

"Reset" -> "Undo Tab"

...with tooltips like:

Reset Tab:   Reset tab to values from the style specified in Inherit From

Undo Tab:   Reset values to initial state when this tab was opened

(especially for "Undo Tab" it would be important that it is greyed-out after "Apply" -- otherwise it would appear that "reset" could undo "applied" values).


II should be an EasyHack, less certain about I.
Comment 25 Dieter 2021-01-18 11:49:15 UTC
(In reply to sdc.blanco from comment #24)
> Or in the style of Heiko's taste...
> "Standard" -> "Reset Tab"
> "Reset" -> "Undo Tab"
+1

> ...with tooltips like:
> Reset Tab:   Reset tab to values from the style specified in Inherit From
> Undo Tab:   Reset values to initial state when this tab was opened
We should avoid using "Reset" for "Undo Tab"
Comment 26 Telesto 2021-01-18 13:08:45 UTC
(In reply to Dieter from comment #25)
> (In reply to sdc.blanco from comment #24)
> > Or in the style of Heiko's taste...
> > "Standard" -> "Reset Tab"
> > "Reset" -> "Undo Tab"

Standard -> Default tab settings| Reset to default | Default settings
Reset -> Revert or Undo change

Would have proposed 'Default' (limited character space) but that's translated to 'Standaard' again in Dutch. 

Undo tab, read as a 'tab' section called "undo". So as label not it.

--
Related to disable
'undo button' if there is nothing to be undone: +1
The reset to default button where everything being default already: +1

---
Related to 'apply' interesting topic. A voice in my head wants it gone. As it applies settings from multiple tabs.. And undo impossible which equals OK without closing the dialog. 

But I assume Apply initially intended as kind of preview? So you could apply & check the result. Which makes sense, IMHO. The problem is that 'apply' covering a single tab or multiple tabs. So kind of inclined to say "apply tab settings"
So apply intended to be used for "single tab' only.
Comment 27 Heiko Tietze 2021-01-20 14:38:26 UTC
Seth knows what I suggest. But "Undo"? Would be totally misleading for users who didn't dive into the functionality and reads rather like "revert what I applied in the document". Therefore I'd prefer something like Reset/Revert/Revoke here and maybe "Inherit Tab" for the other function.

I also dislike the technical term "tab". Ideally we omit it - and trust in the tooltip, or use "section" or just "this".
Comment 28 Telesto 2021-01-20 15:07:17 UTC
(In reply to Heiko Tietze from comment #27)
> I also dislike the technical term "tab". Ideally we omit it - and trust in
> the tooltip, or use "section" or just "this".

Obviously context depended. Not tremendously fond of "undo". However currently out of idea's for something short while being informative. 

Reset (to what?). Revert (tendency to default). What is does undo'ing latest change. Similar/alike undo in document.

Obviously open for better proposals. Prefer taking the time searching for something what works, instead doing the next best thing.. 

I'm actually rather used to pressing, cancel, & started over again to get rid of my old settings.
Comment 29 sdc.blanco 2021-01-20 15:40:27 UTC
(new proposal, only addressing the current "Reset" button)

1. Keep label unchanged.
2. Must also change button action so that it is only active when "Reset" is possible.

Main reason: 

Reset appears both in Paragraph and Paragraph Style dialogs, but “Apply” appears only in Paragraph Style.  

Implication.  tooltip for "Reset" has to be identical for these two contexts, because they are based on the same .ui file, and, afaik, there is not a contextual tooltip function.)

( Same story for Character and Character Style)

3. Tooltip for Reset:  

  Return any changes here back to the starting values 

Alternatives for 
  "here":   "on the screen" or "shown on the screen"
  "values"  "settings"

(please read this tooltip contextually (i.e., with point 2 and the use situation in mind.)  The "Reset" button will only be active if you have actually made changes in the dialog box (also if you have used the "Apply" button). So the tooltip would only appear in a situation where you have actually changed values -- otherwise the Reset button would be inactive (and no tooltip shown). 

(considered and rejected "initial" -- because it is less temporally-anchored than "starting")
Comment 30 sdc.blanco 2021-01-20 15:54:52 UTC
(new proposal for "Standard" button)

-----------

"Standard" --> "Set to Parent"

Tooltip:  Replace the values shown here with the values from the style specified in Inherit From

------------------

(possibly adding "on the Organizer tab" after "Inherit From")

NB.  "here", "shown here" , "shown on screen" are vague, poor attempts to avoid the word "tab" 

How else can one indicate that the "Reset" and "Standard" buttons apply only to the "visible tab" in the dialog?  (i.e., so that one understands that the changes are limited to what you can see)?

Meanwhile, is "tab" really a technical term anymore?  Haven't most users, also beginners, encountered the word "tab" in relation to tabbed browsers, or in Word interface?) Also, "tab" is used throughout the help files here, when explaining how to get to different, well, "tabs" in the dialog boxes...
Comment 31 sdc.blanco 2021-01-22 16:41:14 UTC
(In reply to sdc.blanco from comment #29)
>  Tooltip for Reset:  
> 
>   Return any changes here back to the starting values 
Here is a text (currently used in about 30 localhelp pages) for the "Reset" button.

"Resets changes made to the current tab to those applicable when this dialog was opened"

which inspires this proposal for the tooltip:

"Returns any changes shown here to the values that were present when this dialog was opened."
Comment 32 sdc.blanco 2021-01-31 12:41:48 UTC
(In reply to sdc.blanco from comment #29)
> 3. Tooltip for Reset:  
> Alternatives for:  "values"  could be "settings"
What do/would you call the settings/values that appear in the tabs of the character and paragraph (style) dialogs?

"Help" pages seems to use "values" -- 

-- but is a selected checkbox (or a Font type or a Background color) a "value"?  

When I open and look at the paragraph and character dialogs (and the kinds of options and controls that are shown) and try to imagine a tooltip that might appear with the "Reset" (or "Standard") button, then 

-- I lean toward "settings" as better than "values"  when it comes to referring to what is being "reset" or changed back with "Standard" 

-- and maybe there is even a third word that is even better?
Comment 33 Heiko Tietze 2021-02-01 11:42:15 UTC
Ten people on CC, no reply. Ideally you submit a possible improvement so a larger group of users can comment. "Set to Parent" is fine for me.
Comment 34 sdc.blanco 2021-02-01 23:14:44 UTC
Here is a first, small step.  Just the "Reset" button for 
the Character and Character Style dialog. 

https://gerrit.libreoffice.org/c/core/+/110151

The patch adds a tooltip (and an extended tooltip) for the "Reset" button. 

Tooltip:  Changes made in this tab are returned to settings when opened.

Extended tooltip: Return any changes made on the tab shown here to the settings that were present when this dialog was opened.

Best to look at and judge them in their natural setting (i.e., the actual Character and Character Style) dialog box.

For the "character style" dialog, there is a slight inaccuracy in the tooltip (because it is only true if "Apply" has not been used). 

Was not able to find a simple elaboration to the tooltip that did not make it too complicated. Meanwhile, a resolution to bug 130261 will make the tooltip accurate; while a resolution to bug 130264 should improve understanding of when it is relevant to use.

After possible objections and alternative suggestions are resolved, I will add the same tooltips to the Paragraph and Paragraph Style dialogs, then continue with changing "Standard" to "Set to Parent" (with appropriate tooltips).
Comment 35 S.Zosgornik 2021-02-02 17:32:54 UTC
(In reply to Heiko Tietze from comment #33)
"Set to Parent" is fine for me.

Is "Reset to Parent" to long?
Comment 36 sdc.blanco 2021-02-02 22:51:39 UTC
(In reply to S.Zosgornik from comment #35)
> Is "Reset to Parent" too long?
Any special reason for "Reset"?

Note -- in many (most?) cases, the action will not be a reset.

For example, try the following:

- make "BigNewRed" PS, based on Text Body, with 15 pt, bold italic, red font

- then on the Font tab in the Paragraph Style dialog for "BigNewRed", press "Standard".

Result: Font tab's settings change to Text Body's settings for the Font tab. 

In this (typical?) case, you are not "resetting" (because the Font tab in your "BigNewRed" never had the Parent settings); rather you are "setting" the values of the tab to the Parent.

Ideally, the Standard ("Set to Parent") button would not be active unless the tab was actually different from the parent -- because then you would know that the button is active only when something is different from the parent on the tab. (But I do not think that this enhancement request has been filed.)
Comment 37 sdc.blanco 2021-02-04 00:23:28 UTC
Just to keep things moving along -- 

https://gerrit.libreoffice.org/c/core/+/110151

"Reset" button in Character dialog and Character Style dialog 
gets tooltip:

   "Unsaved modifications to this tab are reverted." 

"Standard" button in Character Style dialog

  Standard -->  "Set to Parent"

  with tooltip:  "Set values shown here with the values from the style specified in “Inherit From” in Organizer."

(tooltips should be read/seen in their context)
Comment 38 Commit Notification 2021-02-10 19:29:50 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aeaf67b724fbcd53ba33e26c57f046d21178895e

tdf#128469  Tooltips for Reset in Character and CS + Standard (renamed)

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 sdc.blanco 2021-02-10 20:27:42 UTC
(In reply to Commit Notification from comment #38)
> tdf#128469  Tooltips for Reset in Character and CS + Standard (renamed)
This patch makes it possible to see/try "Reset" (with new tooltip) and "Set to Parent" (with new tooltip) in the Character and Character Style dialogs.

(Does the word "revert" work in the tooltip?  Persons who use git/gerrit might be familiar and comfortable with the meaning of this word. Is it common in other spheres of action?)

If no objections or further suggestions appear, then the same thing will be done for Paragraph and Paragraph Style dialogs.
Comment 40 Commit Notification 2021-03-02 14:38:09 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7838c4a955eaccd625116fa1508d66f7fd2a95da

Related tdf#128469 - Change label of Standard button

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 sdc.blanco 2021-03-04 22:46:30 UTC
(In reply to John from comment #4)
> I regret about my idea to remove the "Reset" button. It works in symmetry 
> with "Apply" button 
Actually in Style dialogs, it doesn't.
After "Apply", it is not possible to "Reset" (also noted in comment 19), which suggests that it would also be appropriate to have a tooltip for "Apply".

Unlike "Reset" and "Standard", which are applied to the visible tab, "Apply" is applied to all tabs with modifications.  

A proposed tooltip for "Apply" in Style dialogs:

   Save all modifications without closing dialog. Cannot be reverted.


Questions:

1. Should "Cannot be reverted" be dropped (or modified)?
 
2. Should description be more explicit:  "Save modifications in all tabs..."
Comment 42 Commit Notification 2021-03-06 08:55:40 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4902e3231f4f5f4df32d46a901801b18c297ef15

Related tdf#128469 - Customization of tab dialog buttons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 sdc.blanco 2021-03-06 17:20:17 UTC
(In reply to John from comment #4)
> I regret about my idea to remove the "Reset" button. It works in symmetry 
> with "Apply" button 
Actually in Style dialogs, it doesn't.
After "Apply", it is not possible to "Reset" (also noted in comment 19), which suggests that it would also be appropriate to have a tooltip for "Apply".

Unlike "Reset" and "Standard", which are applied to the visible tab, "Apply" is applied to all tabs with modifications.  

A proposed tooltip for "Apply" in Style dialogs:

   Save all modifications without closing dialog. Cannot be reverted.


Questions:

1. Should "Cannot be reverted" be dropped (or modified)?
 
2. Should description be more explicit:  "Save modifications in all tabs..."
Comment 44 Commit Notification 2021-03-07 23:55:39 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72841008bf422dfd8553240b3a78f0474d03523c

tdf#128469 add "Reset" tooltip to style dialogs

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2021-03-08 23:15:38 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dc3b64dcbfb0a49c0be65bd8d73ed4e6d3828a21

tdf#128469 add extended tooltip for "Reset" to style dialogs

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 sdc.blanco 2021-03-08 23:20:55 UTC
Unavoidable complication with "Standard" tooltip. 

Here is my current best proposal for the Standard tooltip:

   Set values in this tab to the corresponding values of the style 
   specified in “Inherit from” in Organizer. When “Inherit from” is “None”,
   values on this tab specified in “Contains” are removed.


"-None-" is a possibility for "Inherit From" for all styles with a Standard Button (i.e., Paragraph, Character, Frame; at present, all builtin Character and Frame Styles have "- None -" as a value.)

(for more details about the second sentence in the tooltip see bug 140818 comment 7)
Comment 47 Regina Henschel 2021-03-08 23:27:53 UTC
(In reply to sdc.blanco from comment #46)
> Unavoidable complication with "Standard" tooltip. 
> 
> Here is my current best proposal for the Standard tooltip:
> 
>    Set values in this tab to the corresponding values of the style 
>    specified in “Inherit from” in Organizer. When “Inherit from” is “None”,
>    values on this tab specified in “Contains” are removed.

Those values in "Contains", which correspond to the tab, are always removed, regardless of the content in "Inherit from". If they are not removed, it is a bug.
Comment 48 sdc.blanco 2021-03-09 00:01:47 UTC
(In reply to Regina Henschel from comment #47)
So maybe it is simple after all.  No need to mention "Inherit from" and "-None-".
The tooltip could be:

    Values on this tab specified in "Contains" in Organizer are removed.
Comment 49 Commit Notification 2021-03-09 17:55:44 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/faa13c4f85556c41102c088eb6ca52fa0244fc30

tdf#128469 add "Apply" tooltip for all style dialogs

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 sdc.blanco 2021-03-09 18:05:13 UTC
In light of new tooltip proposal (in comment 48), and better understanding of the button action, then "Reset to Parent"  might be a better button label.

Reasons:
- despite counterargument (comment 36) that nothing is "reset", functionally 
  (from user PoV) both Reset and Reset to Parent "undo" (remove) settings in the
  tab.
- Parallel form with "Reset" makes it easier to understand/remember that both 
  "Reset" and "Reset to Parent" remove settings (and maybe less "noise" in UI)
-  more important than label is that tooltip communicates accurately what 
   happens if button is pressed, because label will never give an accurate 
   indication of internal implementation, which is complicated.
-  Can give a longer explanation in extended tooltip about "Inherit From" and 
   "none", to motivate the use of "parent"

In sum:

Button:    Reset to Parent
Tooltip:   Values on this tab specified in "Contains" in Organizer are removed.

Extended tooltip:  (in progress)
Comment 51 Heiko Tietze 2021-03-10 08:46:40 UTC
(In reply to sdc.blanco from comment #50)
> Button:    Reset to Parent
> Tooltip:   Values on this tab specified in "Contains" in Organizer are
> removed.

No objection from my side but it has been discussed in comment 35 f.
Comment 52 Commit Notification 2021-03-12 08:51:20 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bded8ae22230da161377846caea0010f038e69a1

tdf#128469 rename "Standard" to "Reset to Parent" plus tooltip

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 sdc.blanco 2021-03-12 17:40:04 UTC
Proposal for extended tooltip for "Reset to Parent"

Values in this tab are set to the corresponding values of the style specified in “Inherit from” in Organizer. In all cases, also when “Inherit from” is “None”, the values on this tab specified in “Contains” are removed.
Comment 54 Dieter 2021-03-12 18:28:47 UTC
(In reply to sdc.blanco from comment #53)
> the values on this tab specified in “Contains” are removed.

Sorry, but I don't understand this. Personally I would expect, that "Reset" is greyed out, if there is no parent style, but until now I haven't opened a bug report for this proposal.
Comment 55 Regina Henschel 2021-03-12 19:53:46 UTC
(In reply to Dieter from comment #54)
> (In reply to sdc.blanco from comment #53)
> > the values on this tab specified in “Contains” are removed.
> 
> Sorry, but I don't understand this. Personally I would expect, that "Reset"
> is greyed out, if there is no parent style, but until now I haven't opened a
> bug report for this proposal.

A "style" is a set of properties. The section "Contains" in the "Organizer" dialog page shows this set.
The button, which is named "Standard" in LO6.4, removes those properties from this set, which belong to the current active dialog page.

The button, which is named "Reset" in LO6.4, brings the current active dialog page into that state, which it had, when the dialog was opened.

Both buttons work independent from what is set in field "inherit from".
Comment 56 sdc.blanco 2021-03-12 20:31:54 UTC
(In reply to Dieter from comment #54)
> I would expect, that "Reset" is greyed out, if there is no parent style, but 
> until now I haven't opened a bug report for this proposal.
See bug 140911
Comment 57 sdc.blanco 2021-03-12 21:06:16 UTC
(In reply to Regina Henschel from comment #55)
> Both buttons work independent from what is set in field "inherit from".
Just to be sure....that we agree that the "Inherit From" field can be informative though.

For example.

ParaStyle1 (Inherit From "Heading")   Contains: Western text: 28 pt
ParaStyle2 (Inherit From "Text Body") Contains: Western text: 28 pt

Press "Reset to Parent" (Standard) on the Font tab for these two PS, then it is true that 28 pt font size is removed, but knowing the "Inherit From" style will let you know/understand what value will appear (and why they are different).

fwiw, the tooltip for "Reset to Parent" gives basic information about what will happens, but without really explaining why.

The extended tooltip attempts to give a pointer for where to explore/understand further, if you want to know what values will appear.

Have never expected it would be possible to make an easy-to-understand extended tooltip, but happy to receive suggestions for improving the description
Comment 58 sdc.blanco 2021-03-12 21:26:58 UTC
"Reset to Parent" gives an easy way to "copy" the tab of one style to another.

Probably a little too obscure for a “TotD” – but here is an attempt...

Did you Know?
--------------
You can create a composite paragraph style from different paragraph styles by setting Inherit From to a desired style, and using Reset to Parent on the relevant tabs. 


(The idea is, for example, to create a new PS that takes the "Indent and spacing" from one PS, the Area and Transparency from a second and the "font and font size" from a third by changing the Inherit From to each of the existing PS and using "Reset to Parent" on the relevant tab.)
Comment 59 Regina Henschel 2021-03-12 23:38:12 UTC
(In reply to sdc.blanco from comment #58)
> "Reset to Parent" gives an easy way to "copy" the tab of one style to
> another.
> 
> Probably a little too obscure for a “TotD” – but here is an attempt...
> 
> Did you Know?
> --------------
> You can create a composite paragraph style from different paragraph styles
> by setting Inherit From to a desired style, and using Reset to Parent on the
> relevant tabs. 
> 
> 
> (The idea is, for example, to create a new PS that takes the "Indent and
> spacing" from one PS, the Area and Transparency from a second and the "font
> and font size" from a third by changing the Inherit From to each of the
> existing PS and using "Reset to Parent" on the relevant tab.)

That will not work that way. A style cannot have more than one parent. Style inheritance is a tree. Of cause in a chain of ancestors, value for one attribute can come from the direct parent and value for another attribute from 'grandparent'.
Comment 60 sdc.blanco 2021-03-13 09:52:52 UTC
(In reply to Regina Henschel from comment #59)
> That will not work that way. 
Sure it will.  

> A style cannot have more than one parent. 
Agreed.  But nothing prevents a user from changing that parent.
In this case I am (temporarily) changing the parent to use "Reset to Parent" for another purpose than might have been intended -- that is the point of the "tip".
(also illustrates -- in relation to the extended tooltip -- why it is useful to know about more than "Contains")

The basic operation is built around the idea of "copying" the settings from an existing paragraph style tab to another paragraph style, by temporarily changing the parent, using "Reset to Parent", and then putting the intended parent back in Inherit From. Could be used in a variety of ways, even to pass values from a child to a parent.

Still always only one parent in Inherit From. Just changing the value temporarily to take advantage of how "Reset to Parent" works. I hope that clarifies.
Comment 61 Dieter 2021-03-13 10:50:52 UTC
(In reply to sdc.blanco from comment #53)
> Proposal for extended tooltip for "Reset to Parent"
> 
> Values in this tab are set to the corresponding values of the style
> specified in “Inherit from” in Organizer. In all cases, also when “Inherit
> from” is “None”, the values on this tab specified in “Contains” are removed.

OK., I get it. And now (after some testing) I understand the first time, how "Standard" works. But how it works is different from "Reset to Parent". This naming was a source of my confusion, because I always thought "What about styles with no parent style?" So I would recommend to rethink the naming (but I must admit, I don't have a good idea).
Comment 62 Commit Notification 2021-03-13 16:58:59 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/77528d474fb1121cc6c567463ebb9f87f76e7b24

tdf#128469 add extended tooltip for "Reset to Parent"

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 sdc.blanco 2021-03-14 18:04:36 UTC
(In reply to Dieter from comment #61)
> "Standard" works. But how it works is different from "Reset to Parent". 
"Standard" and "Reset to Parent" are the same command.  Unlikely they work differently.

> This naming was a source of my confusion, because I always thought "What about
> styles with no parent style?" So I would recommend to rethink the naming
> (but I must admit, I don't have a good idea).
Impossible to overcome this contradiction (style with parent vs. style with no parent) with a “good” word choice.

Could make a contextual button.
 - with parent: “Reset to Parent”  or “Set to Parent”
 - with none: “Reset to Initial”
 - each with own tooltip.

Not proposing a contextual button as a solution. Just explaining that within existing possibilities (with one static button) that “Reset to Parent” seemed best for the following reasons (beyond those mentioned in comment 50:
 - assumption that PS is most commonly edited, where there is usually a parent.
    (so that is the parent part of the label)
 - “none” cases are mostly character style and frames, where it is more likely 
    to be a reset (because changes were made).  (the "reset" part of the label).
Comment 64 Dieter 2021-03-15 08:13:42 UTC
(In reply to sdc.blanco from comment #63)
> (In reply to Dieter from comment #61)
> > "Standard" works. But how it works is different from "Reset to Parent". 
> "Standard" and "Reset to Parent" are the same command.  Unlikely they work
> differently.

"Working different" means, that it doesn't reset to parent, if there is no parent style.

> Impossible to overcome this contradiction (style with parent vs. style with
> no parent) with a “good” word choice.
I agree.

> Not proposing a contextual button as a solution.
I agree.

> Just explaining that within existing possibilities
You describe what happens at least in extended tooltip. So perhaps this might be sufficient. Perhaps it's the best to wait, if a bug report about the "set to Parent" button will come up.
Comment 65 Commit Notification 2021-03-25 04:52:39 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5221d1c74ce789ae1e3f25453e1c3701bc63c23

tdf#128469 add or adjust tooltips for Apply, Reset, Standard in CS 

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2021-03-25 13:41:05 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8940975262a98dc1087712e366f595289ac650b3

tdf#128469 tooltip and extended tooltip for Reset in Paragraph dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 sdc.blanco 2021-03-26 11:57:12 UTC
I think it is time to close this enhancement request as FIXED.
 - "Standard" has been renamed to "Reset to Parent".
 - "Reset" and "Reset to Parent" buttons have gotten both a tooltip and an extended tooltip.
 - "Apply" also got a tooltip and extended tooltip.
 -  changes appear in all style dialogs (Paragraph, Character, Frame, Page, List).
Comment 68 Dieter 2021-04-11 04:35:27 UTC
VERIFIED with

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 807d059d99e7b99fe45a712428befa17ffa44858
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Seth, thanks for fixing it!